# Class Adler32

java.lang.Object
com.codename1.io.gzip.Adler32

public final class Adler32 extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Adler32()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adler32`
  `copy()`
  `long`
  `getValue()`
  `void`
  `reset()`
  `void`
  `reset(long init)`
  `void`
  `update(byte[] buf, int index, int len)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Adler32

    public Adler32()

- ## Method Details

  - ### reset

    public void reset(long init)

  - ### reset

    public void reset()

  - ### getValue

    public long getValue()

  - ### update

    public void update(byte[] buf, int index, int len)

  - ### copy

    public Adler32 copy()